Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class CrawlerUtilities.BatchAlertInserter

    java.lang.Object
      oracle.ifs.core.util.CrawlerUtilities.BatchAlertInserter

Enclosing class:
  CrawlerUtilities

    public static class CrawlerUtilities.BatchAlertInserter

extends java.lang.Object

Constructor Summary
`CrawlerUtilities.BatchAlertInserter(java.lang.String alertTable, int batchSize)` Constructs a BatchAlertInserter.

Method Summary
`void` | `dispose()` Dispose the inserter/
`void` | `flush()` Flush any partial batches for alert table inserts.
`void` | `initializeInsertStatement(IfsConnection conn)` Initialize the alert table insert statement.
`void` | `insertRow(java.util.Date createdate, int type, long targetid)` Inserts a row in to the alert table.
`void` | `insertRow(java.util.Date createdate, int type, long targetid, long auxiliaryid)` Inserts a row in to the alert table.
`void` | `setBatchSize(int batchSize)` Set the JDBC batch size, performing a flush() first.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrawlerUtilities.BatchAlertInserter

    public CrawlerUtilities.BatchAlertInserter(java.lang.String alertTable,
                                               int batchSize)

  Constructs a BatchAlertInserter.

  Parameters:
    `alertTable` - the alert table
    `batchSize` - the JDBC batch size

Method Detail

### dispose

    public void dispose()

  Description copied from class: `CrawlerUtilities.BatchAlertInserter`
  Dispose the inserter/

### setBatchSize

    public void setBatchSize(int batchSize)
                      throws java.lang.Exception

  Description copied from class: `CrawlerUtilities.BatchAlertInserter`
  Set the JDBC batch size, performing a flush() first.

  Parameters:
    `batchSize` - the JDBC batch size
  Throws:
    `java.lang.Exception` - if the operation fails

### initializeInsertStatement

    public void initializeInsertStatement(IfsConnection conn)
                                   throws java.lang.Exception

  Description copied from class: `CrawlerUtilities.BatchAlertInserter`
  Initialize the alert table insert statement.

  Parameters:
    `conn` - the connection context
  Throws:
    `java.lang.Exception` - if the operation fails

### flush

    public void flush()
               throws java.lang.Exception

  Description copied from class: `CrawlerUtilities.BatchAlertInserter`
  Flush any partial batches for alert table inserts.

  Throws:
    `IfsException` - if the operation fails
    `java.lang.Exception`

### insertRow

    public void insertRow(java.util.Date createdate,
                          int type,
                          long targetid)
                   throws java.lang.Exception

  Description copied from class: `CrawlerUtilities.BatchAlertInserter`
  Inserts a row in to the alert table.

  Parameters:
    `createdate` - the create date of the alert
    `type` - the type of the alert
    `targetid` - the target object id of the alert
  Throws:
    `java.lang.Exception` - if the operation fails

### insertRow

    public void insertRow(java.util.Date createdate,
                          int type,
                          long targetid,
                          long auxiliaryid)
                   throws java.lang.Exception

  Description copied from class: `CrawlerUtilities.BatchAlertInserter`
  Inserts a row in to the alert table.

  Parameters:
    `createdate` - the create date of the alert
    `type` - the type of the alert
    `targetid` - the target object id of the alert
    `auxiliaryid` - the auxiliary object id of the alert
  Throws:
    `java.lang.Exception` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD